Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface ConfigurableReport

    org.gradle.util.Configurable
      org.gradle.api.reporting.ConfigurableReport
          org.gradle.api.reporting.Report

All Superinterfaces:
  Configurable, Report

    @Incubating
    public interface ConfigurableReport
    extends Report

A file based report to be created with a configurable destination.

Field Summary

Fields inherited from interface Report
NAMER

Method Summary
`void` | `setDestination(Object file)` Sets the destination for the report.

Methods inherited from interface Report
getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled

Method Detail

### setDestination

    public void setDestination(Object file)

  Sets the destination for the report. The file parameter is evaluated as per Project.file.
  Parameters:
    `file` - The destination for the report.

Gradle API 1.10